# Return specified BoxTrapper email template

This function retrieves a BoxTrapper email message template.

Important:

  When you disable the
  Receive Mail role,
  the system disables this function.

Endpoint: GET /BoxTrapper/get_email_template
Version: 11.136.0.25
Security: BasicAuth

## Query parameters:

  - `email` (string, required)
    A valid email address on the cPanel account.

Warning:

If you call this function in Webmail, the system overrides this parameter.
This parameter defaults to the current email address.
    Example: "user@example.com"

  - `template` (string, required)
    The message template.

* blacklist
* returnverify
* verifyreleased
* verify

Note:

For more information on each template, read our
BoxTrapper documentation.
    Enum: "blacklist", "returnverify", "verifyreleased", "verify"

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "get_email_template"

  - `module` (string)
    The name of the module called.
    Example: "BoxTrapper"

  - `result` (object)

  - `result.data` (string)
    The template file's contents.
    Example: "To: %email%\\nSubject: Re: %subject%\\n\\nThe user %acct% does not accept mail from your address.\\n\\nThe headers of the message sent from your address are shown below:\\n\\n%headers%\\n\","

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.status` (integer)
    * 1 - Success.
* 0 - Failed. Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


